@charset "UTF-8";

/*h1 タイトルエリアの吹き出し*/
#contents_wrapper .mypage_wrap .l-row.ai-c {
    padding-top: 3px;
}
#contents_wrapper .mypage_wrap h1 {
    position: relative;
}
#contents_wrapper .mypage_wrap .m-ttl-img img {
    max-height: 100px !important;
}
.login_ttl_speechbubble {
    position: relative;
    display: inline-block;
    margin-bottom: 4px !important;
    padding: 2px 10px;
    border-radius: 9999px;
    background-color: #f96a78;
    text-align: left;
    font-size: 10px !important;
    font-weight: 400;
    line-height: 1.0;
    color: #ffffff;
}
.login_ttl_speechbubble::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    border-style: solid;
    border-width: 6px 4px 0 4px;
    border-color: #f96a78 transparent transparent;
    translate: -50% 100%;
}

/*ページ内リンク*/
.anchor_btn{
    position: relative;
    -webkit-transition: opacity .3s ease;
    transition: opacity .3s ease;
    margin-top: 16px;
    margin-bottom: 16px;
}
.anchor_btn::before {
    content: "";
    display: block;
    position: absolute;
    top: 8px;
    bottom: -8px;
    left: 32px;
    right: -8px;
    background-image: repeating-linear-gradient(135deg, transparent, transparent 6px, #76fdf8 6px, #76fdf8 12px);
}
.anchor_btn a {
    display: block;
    position: relative;
    height: 100%;
    padding: 20px 10px 20px 10px;
    background-color: #fff !important;
    border: 2px solid #ff959f;
    color: #000 !important;
    text-align: center !important;
    font-weight: bold !important;
}
.anchor_btn a:hover {
    opacity: 1 !important;
}
.anchor_btn a::after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    right: 12px;
    width: 9px;
    height: 9px;
    margin-top: -5px;
    border-top: solid 2px #fd6471;
    border-right: solid 2px #fd6471;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

/*ソーシャルアカウントでログイン*/
.box_login {
    background: #f2f8fc;
    border-radius: 12px;
    padding: 20px 15px;
    margin-top: 50px;
    margin-bottom: 15px;
}
.note {
    font-size: 14px !important;
    line-height: 1.4 !important;
}
.note span {
    color: #fd6471;
}
.sns_login {
    padding-bottom: 30px;
    margin-bottom: 30px;
    border-bottom: 1px solid #40b4f4;
}
.sns_login h2, .mail_login h2, .box_new h2 {
    font-size: 18px !important;
    font-weight: bold !important;
    text-align: center;
    margin-bottom: 20px !important;
}
.sns_login ul {
    margin-bottom: 15px !important;
}
.sns_login ul li {
    margin-bottom: 10px;
}
.sns_login ul li a {
    display: block;
    text-align: center;
    position: relative;
    padding: 15px;
    border-radius: 6px;
}
.sns_login ul li.btn_line a {
    color: #FFF !important;
    background: #06c755 !important;
}
.sns_login ul li.btn_google a {
    color: #000 !important;
    background: #fff !important;
    border:1px solid #d7d7d7;
}
.sns_login ul li.btn_apple a {
    color: #fff !important;
    background: #000 !important;
}
.sns_login ul li a::before {
    content: "";
    display: block;
    position: absolute;
    width: 30px;
    height: 30px;
    top: 0;
    left: 15px;
    bottom: 0;
    margin: auto;
}
.sns_login ul li.btn_line a::before {
    width: 50px;
    height: 50px;
    left: 5px;
    background: url("/kanja/nikibi/assets/image/logo/logo_line.webp") no-repeat;
    background-size: contain;
}
.sns_login ul li.btn_google a::before {
    background: url("/kanja/nikibi/assets/image/logo/logo_google.webp") no-repeat;
    background-size: contain;
}
.sns_login ul li.btn_apple a::before {
    background: url("/kanja/nikibi/assets/image/logo/logo_apple.webp") no-repeat;
    background-size: contain;
}

.mail_login input {
    padding: 15px !important;
    margin-bottom: 10px !important;
    border-radius: 6px !important;
    border:1px solid #f96a78 !important;
}
.mail_login input[type="text"]:focus, .mail_login input[type="password"]:focus {
    outline: none;
    border:2px solid #f96a78 !important;
}
.mail_login .btn_login {
    width: 100%;
    margin: 0 auto;
    display: block !important;
    color: #FFF !important;
    background: #f96a78 !important;
    border-radius: 6px !important;
    padding: 15px 0 !important;
    text-align: center;
    font-size: 16px !important;
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}
.mail_login .link {
    text-align: center !important;
    margin-bottom: 15px !important;
}
.link a {
    text-decoration: underline !important;
    color: #000 !important;
}

/*新規で登録*/
.box_new {
    background: #fff5f6;
    border-radius: 12px;
    padding: 20px 15px 30px;
    margin-top: 50px;
    margin-bottom: 15px;
    text-align: center !important;
}
.box_new h2 {
    color: #fd6471; 
}
.box_new .copy {
    display: inline-block;
    text-align: center !important;
    font-size: 16px !important;
    line-height: 1.4 !important;
    margin-bottom: 20px !important;
    padding: 0 20px !important;
    position: relative;
}
.box_new .copy::before, .box_new .copy::after {
    content: "";
    display: block;
    width: 2px;
    height: 50px;
    background: #f96a78;
    position: absolute;
}
.box_new .copy::before {
    left: 0;
    bottom: -5px;
    transform:rotate(-25deg);
}
.box_new .copy::after {
    right: 0;
    bottom: -5px;
    transform:rotate(25deg);
}
.box_new ul {
    display: inline-block !important;
}
.box_new ul li {
    margin-bottom: 10px;
    text-align: left;
    font-size: 16px !important;
    padding-left: 30px;
    line-height: 1.4 !important;
    position: relative;
}
.box_new ul li:before {
    content: "";
    display: block;
    position: absolute;
    width: 20px;
    height: 20px;
    border:2px solid #f96a78;
    left: 0;
    top: 5px;
}
.box_new ul li:after {
    content: "";
    display: block;
    position: absolute;
    top: 11px;
    left: 4px;
    height: 6px;
    width: 12px;
    border-bottom: 3px solid #f96a78;
    border-left: 3px solid #f96a78;
    transform: rotate(-45deg);
}
.box_new .btn_mypage {
    margin-top: 10px !important;
    padding-top: 120px;
    position: relative;
    margin-bottom: 20px !important;
}
.box_new .btn_mypage::before {
    content: "";
    display: block;
    width: 150px;
    height: 164px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    background:url("../img/register_mypage_icon.webp") no-repeat;
    background-size: contain;
}
.box_new .btn_mypage a {
    display: block !important;
    background: #f96a78 !important;
    padding: 15px 0 !important;
    text-align: center !important;
    color:#FFF !important;
    position: relative !important;
    font-size: 16px !important;
}
.box_new .btn_mypage a::after {
    content: "";
    display: block;
    position: absolute;
    top: 0 !important;
    bottom: 0 !important;
    margin: auto !important;
    right: 12px;
    width: 9px;
    height: 9px;
    margin-top: -5px;
    border-top: solid 2px #FFF;
    border-right: solid 2px #FFF;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

@media screen and (min-width: 769px) {
    #contents_wrapper .mypage_wrap .m-ttl-img img {
        max-height: none !important;
    }
}

@media screen and (min-width: 768px) {
    .login_ttl_speechbubble {
        font-size: 14px !important;
    }

    /*ソーシャルアカウントでログイン*/
    .box_login {
        padding: 40px 40px;
    }    
    .box_new {
        background: #fff5f6;
        border-radius: 12px;
        padding: 30px 40px 40px;
        margin-top: 50px;
        margin-bottom: 15px;
        text-align: center !important;
    }
    .box_new .btn_mypage {
        width: 490px;
        margin: 0 auto !important;
        margin-bottom: 20px !important;
    }
}

@media screen and (min-width: 980px) {
    .anchor_btn_wrap {
        display: flex;
        justify-content: space-between;
        margin-top: 60px;
    }
    .anchor_btn_wrap .anchor_btn {
        width: 48%;
    }
    .box_login {
        display: flex;
        justify-content: space-between;
        position: relative;
    }
    .box_login::after {
        content: "";
        display: block;
        width: 1px;
        height: 80%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;
        background: #40b4f4;
    }
    .sns_login, .mail_login {
        width: 45%;
    }
    .sns_login {
        border-bottom: none;
    }
    .sns_login h2, .mail_login h2, .box_new h2 {
        font-size: 24px !important;
        margin-bottom: 40px !important;
    }
    .box_new {
        padding: 30px 40px 60px;
    }
    .box_new .copy {
        font-size: 20px !important;
        margin-bottom: 40px !important;
    }
    .box_new .copy br {
        display: none;
    }
    .box_new .copy::before, .box_new .copy::after {
        content: "";
        display: block;
        width: 2px;
        height: 25px;
        background: #f96a78;
        position: absolute;
    }
    .box_new ul li {
        font-size: 18px !important;
    }
    .box_new .btn_mypage {
        padding-top: 160px;
    }
    .box_new .btn_mypage a {
        padding: 20px 0 !important;
        font-size: 26px !important;
    }
    .box_new .btn_mypage::before {
        content: "";
        display: block;
        width: 191px;
        height: 209px;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        background: url(../img/register_mypage_icon.webp) no-repeat;
        background-size: contain;
    }
}














